library rs_ecommerce;

import 'package:flutter/material.dart';
import 'dart:convert' as convert;
import 'package:http/http.dart' as http;
import 'dart:io';
import 'package:shared_preferences/shared_preferences.dart';
import 'LoginResponse.dart';
import 'Util.dart';
import 'package:rxdart/rxdart.dart';

/// A Calculator.
class Calculator {
  /// Returns [value] plus 1.
  int addOne(int value) => value + 1;
}


class Login {
//
//  int initialCount = 0; //if the data is not passed by paramether it initializes with 0
//  BehaviorSubject<int> _subjectCounter;
//
//  CounterBloc({this.initialCount}){
//    _subjectCounter = new BehaviorSubject<int>.seeded(this.initialCount); //initializes the subject with element already
//  }
//
//  Stream<int> get counterObservable => _subjectCounter.stream;
//
//  void increment(){
//    initialCount++;
//    _subjectCounter.sink.add(initialCount);
//  }
//
//  void decrement(){
//    initialCount--;
//    _subjectCounter.sink.add(initialCount);
//  }
//
//  void dispose(){
//    _subjectCounter.close();
//  }

  void LogingApi(String phone, String password,BuildContext context) async {
    Map data = {'phone': phone, 'password': password,'logintype': "1"};

    Map<String, String> header={"Content-Type": "application/x-www-form-urlencoded", "Charset": "utf-8"};
    // Await the http get response, then decode the json-formatted response.
    try {
      var response = await http.post("", body: data,headers: header); //get(url);
      SharedPreferences prefs = await   SharedPreferences.getInstance();
      if (response.statusCode == 200) {
        var jsonResponse = convert.jsonDecode(response.body);

        // var itemCount = jsonResponse['totalItems'];
        /* debugPrint( "renunnn   ${jsonResponse.toString()}");
        debugPrint( "renunnn   ${response.body.toString()}");  // renu  working code*/

        LoginResponse response1=
        loginResponseFromJson(response.body.toString());

        if(response1.data != null){
          prefs.setBool("islogin",true);
          prefs.setString("tokenid", response1.data.token);
          prefs.setString("slugID", response1.data.slug);
          // utilStr="cf";
          UtilDialog().showDialogs(context,"Login Sucessfull","");
          //   login screen call karna h ya

        }
        else{
          prefs.setBool("islogin",false);
          UtilDialog().showDialogs(context,"Login failed",response1.isError.toString() );
        }
      } else {
        prefs.setBool("islogin",false);
        UtilDialog().showDialogs(context, "Sorry, something went wrong",response.body);
      }
    }  catch (e ) {

      if( e is SocketException){

        UtilDialog().showDialogs(context,e.message,"");
      }
      print(e.toString());
    }

  }

}
